Bug 992847 - valgrind: FTBFS in rawhide
valgrind: FTBFS in rawhide
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: valgrind (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F20FTBFS
  Show dependency treegraph
 
Reported: 2013-08-05 02:40 EDT by Dennis Gilmore
Modified: 2013-08-08 17:41 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-08 17:41:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2013-08-05 02:40:59 EDT
Your package valgrind failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=5753415

Build logs:
root.log: http://kojipkgs.fedoraproject.org/work/tasks/3415/5753415/root.log
build.log: http://kojipkgs.fedoraproject.org/work/tasks/3415/5753415/build.log
state.log: http://kojipkgs.fedoraproject.org/work/tasks/3415/5753415/state.log
NOTE: build logs are cleaned up after 1 week

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
Comment 1 Petr Pisar 2013-08-06 09:20:17 EDT
cc -DHAVE_CONFIG_H -I. -I..  -I.. -I../include -I../VEX/pub -DVGA_arm=1 -DVGO_linux=1 -DVGP_arm_linux=1 -DVGPV_arm_linux_vanilla=1 -I../coregrind -DVG_LIBDIR="\"/usr/lib/valgrind"\" -DVG_PLATFORM="\"arm-linux\""  -O2 -g -Wall -Wmissing-prototypes -Wshadow -Wpointer-arith -Wstrict-prototypes -Wmissing-declarations -Wno-format-zero-length -fno-strict-aliasing -fno-builtin -marm -mcpu=cortex-a8  -Wno-long-long -g -pipe -Wall -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches  -march=armv7-a -mfpu=vfpv3-d16  -mfloat-abi=hard -Wno-pointer-sign -fno-stack-protector -c -o vgdb-vgdb.o `test -f 'vgdb.c' || echo './'`vgdb.c
In file included from vgdb.c:105:0:
/usr/include/linux/ptrace.h:58:8: error: redefinition of 'struct ptrace_peeksiginfo_args'
 struct ptrace_peeksiginfo_args {
        ^
In file included from vgdb.c:54:0:
/usr/include/sys/ptrace.h:191:8: note: originally defined here
 struct ptrace_peeksiginfo_args
        ^
vgdb.c: In function 'invoke_gdbserver':
vgdb.c:861:9: warning: variable 'sp' set but not used [-Wunused-but-set-variable]
    Addr sp;
         ^
make[3]: *** [vgdb-vgdb.o] Error 1
make[3]: *** Waiting for unfinished jobs....
make[3]: Leaving directory `/builddir/build/BUILD/valgrind-3.8.1/coregrind'

Not compatible with kernel headers.
Comment 2 Mark Wielaard 2013-08-08 08:56:57 EDT
Should be fixed by backporting upstream commits r13471 and r13482 in valgrind-3.8.1-20.fc20:

* Thu Aug 08 2013 Mark Wielaard <mjw@redhat.com> - 3.8.1-20
- Add valgrind-3.8.1-ptrace-include-configure.patch (#992847)
Comment 3 Mark Wielaard 2013-08-08 17:41:55 EDT
3.8.1-21 was successfully build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5795249

Note You need to log in before you can comment on or make changes to this bug.